part of 'generated.dart';

class DeleteInvoiceTemplateVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteInvoiceTemplateVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteInvoiceTemplateData> dataDeserializer = (dynamic json)  => DeleteInvoiceTemplateData.fromJson(jsonDecode(json));
  Serializer<DeleteInvoiceTemplateVariables> varsSerializer = (DeleteInvoiceTemplateVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteInvoiceTemplateData, DeleteInvoiceTemplateVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteInvoiceTemplateData, DeleteInvoiceTemplateVariables> ref() {
    DeleteInvoiceTemplateVariables vars= DeleteInvoiceTemplateVariables(id: id,);
    return _dataConnect.mutation("deleteInvoiceTemplate", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteInvoiceTemplateInvoiceTemplateDelete {
  final String id;
  DeleteInvoiceTemplateInvoiceTemplateDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteInvoiceTemplateInvoiceTemplateDelete otherTyped = other as DeleteInvoiceTemplateInvoiceTemplateDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteInvoiceTemplateInvoiceTemplateDelete({
    required this.id,
  });
}

@immutable
class DeleteInvoiceTemplateData {
  final DeleteInvoiceTemplateInvoiceTemplateDelete? invoiceTemplate_delete;
  DeleteInvoiceTemplateData.fromJson(dynamic json):
  
  invoiceTemplate_delete = json['invoiceTemplate_delete'] == null ? null : DeleteInvoiceTemplateInvoiceTemplateDelete.fromJson(json['invoiceTemplate_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteInvoiceTemplateData otherTyped = other as DeleteInvoiceTemplateData;
    return invoiceTemplate_delete == otherTyped.invoiceTemplate_delete;
    
  }
  @override
  int get hashCode => invoiceTemplate_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (invoiceTemplate_delete != null) {
      json['invoiceTemplate_delete'] = invoiceTemplate_delete!.toJson();
    }
    return json;
  }

  DeleteInvoiceTemplateData({
    this.invoiceTemplate_delete,
  });
}

@immutable
class DeleteInvoiceTemplateVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteInvoiceTemplateVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteInvoiceTemplateVariables otherTyped = other as DeleteInvoiceTemplateVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteInvoiceTemplateVariables({
    required this.id,
  });
}

